/* $Id: crires_wlcalib.h,v 1.17 2011/02/09 10:16:18 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2011/02/09 10:16:18 $
 * $Revision: 1.17 $
 * $Name: crire-2_1_1 $
 */

#ifndef CRIRES_WLCALIB_H
#define CRIRES_WLCALIB_H

/*-----------------------------------------------------------------------------
                                Include
 -----------------------------------------------------------------------------*/

#include "crires_utils.h"

/*-----------------------------------------------------------------------------
                                Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_polynomial * crires_wlcalib_lamp(const char *, crires_illum_period, 
        const char *, const char *, const char *, const char *, const char *, 
        double, double, double, double, int, int, int, int, int, double, 
        double, double, int, int, double, int, int, double *, double *, 
        double *, double *) ;
cpl_polynomial * crires_wlcalib_sky(const char *, crires_illum_period, 
        const char *, const char *, const char *, const char *, const char *, 
        double, double, double, double, int, const char *, int, int, int, int, 
        double, double, double, int, int, double, int, int, double *) ;
cpl_polynomial * crires_wlcalib_engine(const cpl_vector *, 
        const cpl_bivector *, const cpl_polynomial *, double, double, int, 
        double, double, double, int, int, double, int, int, double *,
        cpl_table **) ;
cpl_table ** crires_wlcalib_gen_wltab(const cpl_polynomial **) ;
cpl_imagelist * crires_wlcalib_gen_wlmap(const cpl_table **) ;
cpl_polynomial * crires_wlcalib_gen_wlpoly(const cpl_table *) ;

#endif
